Druid什么时候能支持最新版Hibernate(4.3.6)

伤神小怪兽 发布于 2014/08/23 17:51
阅读 609
收藏 0

我用最新版Hibernate(4.3.6.Final),但是DruidConnectionProvider引用的“org.hibernate.service.jdbc.connections.spi.ConnectionProvider”在该版本中被移到“rg.hibernate.engine.jdbc.connections.spi”包中。

因此会报ClassNotFoundException,不能使用。

加载中
0
魏涛
魏涛

hibernate 4.3之后就已经移动过去了。可以自己修改一下,然后push到Druid的源里去。

kimmking
kimmking
不太好改。
0
伤神小怪兽
伤神小怪兽
呵呵~
用了最简单的方法,自己加入一个“com.alibaba.druid.support.hibernate.DruidConnectionProvider_4_3”。
0
红薯
红薯
自行修改啊,不是有源码吗 @wenshao
返回顶部
顶部